<?php
namespace Mirasvit\Core\Block\Adminhtml\Config\UpdateNotifier;

/**
 * Interceptor class for @see \Mirasvit\Core\Block\Adminhtml\Config\UpdateNotifier
 */
class Interceptor extends \Mirasvit\Core\Block\Adminhtml\Config\UpdateNotifier implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\Core\Service\PackageService $packageService, \Magento\Backend\Block\Template\Context $context)
    {
        $this->___init();
        parent::__construct($packageService, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
